classification
Title: Spelling error in unittest.mock code
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: lisroach, matrixise, miss-islington
Priority: low Keywords: easy, newcomer friendly, patch

Created on 2019-09-11 09:36 by lisroach, last changed 2019-09-16 18:17 by matrixise. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16164 closed python-dev, 2019-09-15 20:16
PR 16165 closed Maritza Esparza, 2019-09-15 20:18
PR 16168 merged marcoramirezmx, 2019-09-15 21:28
PR 16191 merged miss-islington, 2019-09-16 16:34
PR 16195 merged matrixise, 2019-09-16 17:58
Messages (7)
msg351778 - (view) Author: Lisa Roach (lisroach) * (Python committer) Date: 2019-09-11 09:36
Good first issue.

There is a spelling error in the unittest.mock library, "return_calulator" should be "return_calculator".

This is in the `_set_return_value` method in `Lib/unittest/mock.py`.
msg352554 - (view) Author: Lisa Roach (lisroach) * (Python committer) Date: 2019-09-16 16:30
It helps to comment on the issue before making a PR for it to claim it, as now we have 3 PRs all for the same issue :) We will likely accept the first PR that was created (or in this case the first PR that gets a CLA signed for it)
msg352555 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-16 16:34
New changeset a9187c31185fe7ea47271839898416400cc3d976 by Stéphane Wirtel (marcoramirezmx) in branch 'master':
bpo-38100: Fix spelling error in unittest.mock code (GH-16168)
https://github.com/python/cpython/commit/a9187c31185fe7ea47271839898416400cc3d976
msg352557 - (view) Author: miss-islington (miss-islington) Date: 2019-09-16 16:52
New changeset cc8edfbd9c66a40e2d405e49b75227a8d2a4dd55 by Miss Islington (bot) in branch '3.8':
bpo-38100: Fix spelling error in unittest.mock code (GH-16168)
https://github.com/python/cpython/commit/cc8edfbd9c66a40e2d405e49b75227a8d2a4dd55
msg352561 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-16 17:54
Lisa, I don't close this issue because I would like to know if we have to back port to 3.7. The spelling error does exist into 3.7
msg352562 - (view) Author: Lisa Roach (lisroach) * (Python committer) Date: 2019-09-16 17:55
(y) Thanks for looking into it Stéphane!
msg352563 - (view) Author: miss-islington (miss-islington) Date: 2019-09-16 18:16
New changeset 7aae4f004e69ebec011098f85ab232e2778a0ca4 by Miss Islington (bot) (Stéphane Wirtel) in branch '3.7':
[3.7] bpo-38100: Fix spelling error in unittest.mock code (GH-16195)
https://github.com/python/cpython/commit/7aae4f004e69ebec011098f85ab232e2778a0ca4
History
Date User Action Args
2019-09-16 18:17:15matrixisesetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.7
2019-09-16 18:16:40miss-islingtonsetmessages: + msg352563
2019-09-16 17:58:32matrixisesetpull_requests: + pull_request15801
2019-09-16 17:55:13lisroachsetmessages: + msg352562
2019-09-16 17:54:18matrixisesetmessages: + msg352561
versions: + Python 3.8, Python 3.9
2019-09-16 16:52:50miss-islingtonsetnosy: + miss-islington
messages: + msg352557
2019-09-16 16:34:57miss-islingtonsetpull_requests: + pull_request15797
2019-09-16 16:34:48matrixisesetnosy: + matrixise
messages: + msg352555
2019-09-16 16:30:37lisroachsetmessages: + msg352554
2019-09-15 21:28:37marcoramirezmxsetpull_requests: + pull_request15778
2019-09-15 20:18:31Maritza Esparzasetpull_requests: + pull_request15774
2019-09-15 20:16:15python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request15773
2019-09-11 09:36:55lisroachcreate